Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreRectangle.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Functions
Rectangle | intersect (const Rectangle &lhs, const Rectangle &rhs)
| Geometric intersection of two rectanglar regions.

## Function Documentation

Rectangle intersect | ( | const Rectangle & | lhs,
|  | const Rectangle & | rhs
| ) |

| Geometric intersection of two rectanglar regions. Remarks: Calculates the geometric intersection of two rectangular regions. Rectangle coordinates must be ([0-N], [0-N]), such that (0,0) is in the upper left hand corner. If the two input rectangles do not intersect, then the result will be a degenerate rectangle, i.e. left >= right or top >= bottom, or both. Definition at line 55 of file OgreRectangle.h. References Ogre::Rectangle::bottom, Ogre::Rectangle::left, Ogre::Rectangle::right, and Ogre::Rectangle::top.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007